/**
 * author: dabao
 */
var VUE = null
window.addEventListener("load", function() {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				form: {
					enterpriseSubmitsTheRectificationDate: '',//2024-03-08 00:00:00',
					// 检查人员
					hdInspectExpert: '',//'发发发',
					// 发现问题
					hdName: '',//'测试问题',
					// 检查依据
					basis: '',//'测试依据',
					// 隐患整改建议
					
					// 隐患整改日期
					hdRectificationDate: '',//'2024-03-08',
					// 隐患整改图片
					hdRectificationPic: '',
					hdPic: '',
					// 审核人
					hdAcceptancePerson: "刘德华",
					recEvaluation: '24年02月22日 审核未通过;24年02月22日 审核未通过',
					verifyStatusString: '', // 审核状态死啊
				},
				// 企业id
				companyId: localStorage.getItem('companyId'),
				editAble: true,

				// 安全类别列表数据
				secType: [{
					name: '安全资料类',
				}, {
					name: '现场检查类',
				}],
				showPopup4secType: false,

				// 安全检查类别列表数据
				secCheckTypeReplace: [],
				showPopup4secCheckTypeReplace: false,
				// 安全检查内容列表数据
				secCheckContent: [],
				showPopup4secCheckContent: false,
				// 安全发现问题列表数据
				secCheckDiscover: [],
				showPopup4secCheckDiscover: false,

				// 检查日期的模态框
				hdInspectDateModel: '', // 时间的临时model值
				showPopup4hdInspectDate: false,

				// 整改日期模态框
				hdRectificationDateModel: '',
				showPopup4hdRectificationDate: false,


				fileList: [],
				// columns4findQuestion: ['杭州', '宁波', '温州', '绍兴', '湖州', '嘉兴', '金华', '衢州'],
				// findQuestion: '',



			}
		},
		mounted() {
			this.detail()
		},

		methods: {
			detail(){
				var hdId = getParameter('hdId')
				http.get('/api/hiddenDangerToVerify', {
					page: 0, // 每次请求增加下一页
					size: 1,
					county: localStorage.getItem('appCounty'),
					hd_id: hdId,
					// enName: this.companyName,
					sort: 'verify_status,asc',
				}).then((res) => {
					this.loading = false; // 加载状态结束
					this.form = res.content[0]
				
				})
			},
		},
	});
});